﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CubeFactory : MonoBehaviour {

	public List<GameObject> myCubes = new List<GameObject>();

	//List of colors
	public List<Color> myColors = new List<Color>();

	//Reference to the prefab
	public GameObject cubeToInstantiate;

	int counter = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		//Instantiate a cube on Jump
		if (Input.GetButtonDown ("Jump")) {
			GameObject go = Instantiate (cubeToInstantiate, transform.position, transform.rotation) as GameObject;

			myCubes.Add (go);
			go.name = "Cube " + counter++;

			//Set the health of the cube
			go.GetComponent<CubeScript> ().SetHealth (Random.Range(10, 101));

			//Change the color of the cube based on the colors in the list
			//go.GetComponent<MeshRenderer>().material.color = myColors[Random.Range(0, myColors.Count)];

			//Or simply generate a random color
			float r = Random.Range(0.0f, 1.0f);
			float g = Random.Range(0.0f, 1.0f);
			float b = Random.Range(0.0f, 1.0f);

			go.GetComponent<MeshRenderer> ().material.color = new Color (r, g, b);

			//Destroy go
			Destroy(go.gameObject, 2);
		}
	}
}
